package _04_方法练习;

public class Test {
    public static void main(String[] args) {
        /**
         * 方法练习:
         * 有这样一个arr 数组arr = {1,2,3,4,5,6}
         *
         * 希望最终控制台当中打印出来一个字符串
         * String =     [1,2,3,4,5,6]
         * 字符串＋任何内容都是一个新的字符串
         *
         *  定义一个新的方法实现功能 传入一个数组
         * public static void printArr(int[] arr){
         *      String str = "[";
         *      fori 循环拿到数组当中每一个元素  1 2 3 4 5
         *          如果是数组的最后一个元素
         *          str +"arr[i]"  +"]"
         *          如果不是最后一个元素
         *          str+ arr[i] + ","
         * }
         */
        int[] arr = {1,2,3,4,5,6};
        printArr(arr);
    }

    /**
     * [1,2,3,4,5,6]
     * @param arr
     */
    public static void printArr(int[] arr) {
        // 定义出来一个字符串str
        String str = "[";
        for (int i = 0; i < arr.length; i++) {
            // 如果是最后一个元素不需要拼接,
            if(i == arr.length-1){
                str += arr[i] +"]";
            }else{
                str += arr[i] +",";
            }
        }
//        str = str +"]";
        System.out.println(str);
    }


}
